Bug 1491728 - EPEL 6 brought in redis configuration file incompatibilities
Summary: EPEL 6 brought in redis configuration file incompatibilities
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: redis
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nathan Scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-14 13:48 UTC by Vadym Chepkov
Modified: 2017-10-13 16:18 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-10-13 16:18:26 UTC


Attachments (Terms of Use)

Description Vadym Chepkov 2017-09-14 13:48:15 UTC
EPEL 6 upgraded redis package to version 3, which broke existing installations
My understanding is, usual practice is to keep version compatible during life of the RHEL6 and new version should have been added as redis3

Comment 1 Nathan Scott 2017-09-14 21:01:00 UTC
Hi Vadym,

In what way is it incompatible?

(there was an update to v3, which also involved configuration file changes to close security holes - but v2 and v3 are backward compatible)

Comment 2 Vadym Chepkov 2017-09-14 21:57:01 UTC
oh, forgot to include that information, sorry.

after upgrade service failed to start:

*** FATAL CONFIG FILE ERROR ***
Reading the configuration file, at line 375
>>> 'vm-enabled no'
Bad directive or wrong number of arguments
[FAILED]

Comment 3 Nathan Scott 2017-09-14 22:05:01 UTC
Thanks Vadym.  Yes, interesting - that class of problem definitely needs to be resolved - I'll look into it further & come up with a plan to get it fixed up.

Comment 4 Nathan Scott 2017-09-22 06:19:10 UTC
Hi Vadym,

Apologies for the delay.  Since we cannot revert the 3.x changes we can resolve this problem by turning the error about that configuration file line (which was deprecated even within the end-of-life'd 2.x series) into a logged warning, and continuing on.

Auditing the 2.x code, there are a handful of vm-related options which could also be in use (all long since removed) - I'll ensure these are handled similarly.

Additional information about the VM configuration options if anyone needs it:
https://redis.io/topics/virtual-memory

Comment 5 Fedora Update System 2017-09-27 01:06:41 UTC
redis-3.2.11-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-92561ef37d

Comment 6 Fedora Update System 2017-09-29 00:20:32 UTC
redis-3.2.11-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-92561ef37d

Comment 7 Fedora Update System 2017-10-13 16:18:26 UTC
redis-3.2.11-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.